package roseindia;

import java.util.Iterator;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.ProjectionList;
import org.hibernate.criterion.Projections;

import roseindia.bean.User;
import roseindia.util.HibernateUtil;

public class Criteria_Projection_Example {

	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();

		User user = null;
		try {

			Criteria crit = session.createCriteria(User.class);
			crit.setMaxResults(5);
			ProjectionList proList = Projections.projectionList();
			proList.add(Projections.property("empName"));
			proList.add(Projections.property("empAddr"));
			proList.add(Projections.property("empSalary"));
			crit.setProjection(proList);
			List list = crit.list();
			Iterator itr = list.iterator();
			if (!itr.hasNext()) {
				System.out.println("No Data Available!");
			} else {
				while (itr.hasNext()) {
					Object[] row = (Object[]) itr.next();
					for (int i = 0; i < row.length; i++) {
						System.out.println();
						System.out.print(row[i]);
						
					}
				}
			}

		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			session.flush();
			session.close();
		}

	}

}
